            #GIT_CMT=de17bcbcca9c293384c13b18f14837293f094b73
%global flavor ora

# To update the the content of oracle-rdma-release:
#     1. Update the release and/or version of the RPM(s) in the list below
#     2. Update the release and/or version of this RPM
#
# Caution: Exact [epoch:]version-release is needed. If the epoch is 0, it may
#          be ommitted.

%define uek_ibacm                %{uek_rdma_core} 
%define uek_ibutils              5:1.5.7-0.2.gbd7e502.0.7
%define uek_infiniband_diags     5:2.0.0-1.0.6
%define uek_libibacl             0:1.0-8
%define uek_libibumad            %{uek_rdma_core} 
%define uek_libibverbs           %{uek_rdma_core}
%define uek_libibverbs_utils     %{uek_libibverbs}
%define uek_librdmacm            %{uek_rdma_core}
%define uek_librdmacm_utils      %{uek_librdmacm}
%define uek_mstflint             5:4.10.0-2.0.3
%define uek_opensm_libs          5:3.3.20-1.0.4
%define uek_oracle_rdma_tools    0:0.7.1-1
%define uek_perftest             5:4.2-1.0.5
%define uek_qperf                5:0.4.11-1.0.5
%define uek_rdma_core            5:17.1-1.0.7
%define uek_rdma_core_devel      %{uek_rdma_core}
%define uek_rds_tools            0:2.1.1-3

%define debug_package %{nil}

Name:           oracle-rdma-release           
Version:        0.6.0
Release:        1%{?dist}%{?flavor}
Summary:        Oracle RDMA userspace libraries, utilities, and daemons (Oracle Extensions)

License:        GPLv2 or BSD     
Source0: oracle-rdma-release-0.6.0.tar.bz2

Requires:       ibacm             = %{uek_ibacm}%{?dist}%{?flavor}
Requires:       ibutils           = %{uek_ibutils}%{?dist}%{?flavor}
Requires:       infiniband-diags  = %{uek_infiniband_diags}%{?dist}%{?flavor}
Requires:       libibacl          = %{uek_libibacl}%{?dist}%{?flavor}
Requires:       libibumad         = %{uek_libibumad}%{?dist}%{?flavor}
Requires:       libibverbs        = %{uek_libibverbs}%{?dist}%{?flavor}
Requires:       libibverbs-utils  = %{uek_libibverbs_utils}%{?dist}%{?flavor}
Requires:       librdmacm         = %{uek_librdmacm}%{?dist}%{?flavor}
Requires:       librdmacm-utils   = %{uek_librdmacm_utils}%{?dist}%{?flavor}
Requires:       mstflint          = %{uek_mstflint}%{?dist}%{?flavor}
Requires:       opensm-libs       = %{uek_opensm_libs}%{?dist}%{?flavor}
Requires:       oracle-rdma-tools = %{uek_oracle_rdma_tools}%{?dist}%{?flavor}
Requires:       perftest          = %{uek_perftest}%{?dist}%{?flavor}
Requires:       qperf             = %{uek_qperf}%{?dist}%{?flavor}
Requires:       rdma-core         = %{uek_rdma_core}%{?dist}%{?flavor}
Requires:       rdma-core-devel   = %{uek_rdma_core_devel}%{?dist}%{?flavor}
Requires:       rds-tools         = %{uek_rds_tools}%{?dist}%{?flavor}

Conflicts:      infiniband-diags-guest

%description
This installs the set of packages that comprise the Oracle RDMA userspace
release for bare-metal and Dom0

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.


%package guest
Summary:        Oracle RDMA userspace libraries, utilities, and daemons (Oracle Extensions)

License:        GPLv2 or BSD

# Notes:
#     1. infiniband-diags is replaced with infiniband-diags-guest for VMs
#     2. mstflint is not supported on VMS

Requires:       ibacm                   = %{uek_ibacm}%{?dist}%{?flavor}
Requires:       ibutils                 = %{uek_ibutils}%{?dist}%{?flavor}
Requires:       infiniband-diags-guest  = %{uek_infiniband_diags}%{?dist}%{?flavor}
Requires:       libibacl                = %{uek_libibacl}%{?dist}%{?flavor}
Requires:       libibumad               = %{uek_libibumad}%{?dist}%{?flavor}
Requires:       libibverbs              = %{uek_libibverbs}%{?dist}%{?flavor}
Requires:       libibverbs-utils        = %{uek_libibverbs_utils}%{?dist}%{?flavor}
Requires:       librdmacm               = %{uek_librdmacm}%{?dist}%{?flavor}
Requires:       librdmacm-utils         = %{uek_librdmacm_utils}%{?dist}%{?flavor}
Requires:       opensm-libs             = %{uek_opensm_libs}%{?dist}%{?flavor}
Requires:       oracle-rdma-tools       = %{uek_oracle_rdma_tools}%{?dist}%{?flavor}
Requires:       perftest                = %{uek_perftest}%{?dist}%{?flavor}
Requires:       qperf                   = %{uek_qperf}%{?dist}%{?flavor}
Requires:       rdma-core               = %{uek_rdma_core}%{?dist}%{?flavor}
Requires:       rdma-core-devel         = %{uek_rdma_core_devel}%{?dist}%{?flavor}
Requires:       rds-tools               = %{uek_rds_tools}%{?dist}%{?flavor}

Conflicts:      infiniband-diags

%description guest
This installs the set of packages that comprise the Oracle RDMA userspace
release for Virtual Machines.

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING


%files guest
%defattr(-,root,root,-)
%doc COPYING


%changelog
* Thu Jan 10 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.6.0
- BUILDINFO: commit=de17bcbcca9c293384c13b18f14837293f094b73
- ibacm:                Release v5:17.1-1.0.7
- libibumad:            Release v5:17.1-1.0.7
- libibverbs:           Release v5:17.1-1.0.7
- libibverbs-utils:     Release v5:17.1-1.0.7
- librdmacm:            Release v5:17.1-1.0.7
- librdmacm-utils:      Release v5:17.1-1.0.7
- oracle-rdma-tools:    Release v0:0.7.1-1
- rdma-core:            Release v5:17.1-1.0.7
- rdma-core-devel:      Release v5:17.1-1.0.7

* Thu Jan 10 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-3
- spec: Create "guest" subpackage for VMs (Aron Silverton) [Orabug: 29200281]
- infiniband-diags:     Release v5:2.0.0-1.0.6

* Fri Nov 09 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-2
- spec: Change "vos" to "ora" and update summaries and descriptions [Orabug: 29128747]
- ibacm:                Release v5:17.1-1.0.6
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.7
- infiniband-diags:     Release v5:2.0.0-1.0.5
- libibacl:             Release v0:1.0-8
- libibumad:            Release v5:17.1-1.0.6
- libibverbs:           Release v5:17.1-1.0.6
- libibverbs-utils:     Release v5:17.1-1.0.6
- librdmacm:            Release v5:17.1-1.0.6
- librdmacm-utils:      Release v5:17.1-1.0.6
- mstflint:             Release v5:4.10.0-2.0.3
- opensm-libs:          Release v5:3.3.20-1.0.4
- oracle-rdma-tools:    Release v0:0.7.0-2
- perftest:             Release v5:4.2-1.0.5
- qperf:                Release v5:0.4.11-1.0.5
- rdma-core:            Release v5:17.1-1.0.6
- rdma-core-devel:      Release v5:17.1-1.0.6
- rds-tools:            Release v0:2.1.1-3

* Fri Nov 02 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-1
- perftest:             Release v5:4.2-1.0.3
- qperf:                Release v5:0.4.11-1.0.3

* Tue Oct 30 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.0-1
- ibacm:                Release v5:17.1-1.0.5
- infiniband-diags:     Release v5:2.0.0-1.0.4
- libibumad:            Release v5:17.1-1.0.5
- libibverbs:           Release v5:17.1-1.0.5
- libibverbs-utils:     Release v5:17.1-1.0.5
- librdmacm:            Release v5:17.1-1.0.5
- librdmacm-utils:      Release v5:17.1-1.0.5
- oracle-rdma-tools:    Release v0:0.7.0-1
- rdma-core:            Release v5:17.1-1.0.5
- rdma-core-devel:      Release v5:17.1-1.0.5

* Mon Aug 27 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.4.0-1
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]
- ibacm:                Release v5:17.1-1.0.4
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.6
- infiniband-diags:     Release v5:2.0.0-1.0.3
- libibacl:             Release v0:1.0-7
- libibumad:            Release v5:17.1-1.0.4
- libibverbs:           Release v5:17.1-1.0.4
- libibverbs-utils:     Release v5:17.1-1.0.4
- librdmacm:            Release v5:17.1-1.0.4
- librdmacm-utils:      Release v5:17.1-1.0.4
- mstflint:             Release v5:4.10.0-2.0.2
- opensm-libs:          Release v5:3.3.20-1.0.3
- oracle-rdma-tools:    Release v0:0.6.0-2
- perftest:             Release v5:4.2-1.0.3
- qperf:                Release v5:0.4.11-1.0.3
- rdma-core:            Release v5:17.1-1.0.4
- rdma-core-devel:      Release v5:17.1-1.0.4
- rds-tools:            Release v0:2.1.1-2

* Wed Jul 11 2018 Aron Silverton <aron.silverton@oracle.com> - 0.3.0-1
- ibacm: Release v5:17.1-1.0.3
- libibumad: Release v5:17.1-1.0.3
- libibverbs: Release v5:17.1-1.0.3
- libibverbs-utils: Release v5:17.1-1.0.3
- librdmacm: Release v5:17.1-1.0.3
- librdmacm-utils: Release v5:17.1-1.0.3
- mstflint: Release v5:4.9.0-3.0.2
- rdma-core: Release v5:17.1-1.0.3
- rdma-core-devel: Release v5:17.1-1.0.3

* Wed May 30 2018 Aron Silverton <aron.silverton@oracle.com> - 0.2.0-1
- First release (Aron Silverton) [Orabug: 27774601]
